<html>
<head>
<title>OGRE: Ogre::ConfigFile Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ConfigFile.html">ConfigFile</a></div>
<h1>Ogre::ConfigFile Class Reference</h1><!-- doxytag: class="Ogre::ConfigFile" -->Class for quickly loading settings from a text file.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreConfigFile_8h-source.html">OgreConfigFile.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1ConfigFile-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <br>
std::multimap<br>
&lt; <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigFile.html#7c64847e5235249d699b38a36c8fd2db">SettingsMultiMap</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a><br>
&lt; <a class="el" href="classOgre_1_1ConfigFile.html#7c64847e5235249d699b38a36c8fd2db">SettingsMultiMap</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigFile.html#df764e20ebcf5c52d0ea887b1468a283">SettingsIterator</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>,<br>
 <a class="el" href="classOgre_1_1ConfigFile.html#7c64847e5235249d699b38a36c8fd2db">SettingsMultiMap</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigFile.html#77b98c7359f2ff7b67b9039e8979a2ac">SettingsBySection</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets an iterator for stepping through all the keys / values in the file.  <a href="#77b98c7359f2ff7b67b9039e8979a2ac"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a><br>
&lt; <a class="el" href="classOgre_1_1ConfigFile.html#77b98c7359f2ff7b67b9039e8979a2ac">SettingsBySection</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigFile.html#a0167bf5f0a33e109d2de01a6a14f2f0">SectionIterator</a></td></tr>

<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigFile.html#e9cea1fe4ad70279841635eb892ba514">ConfigFile</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigFile.html#eb74fca345254b1701f509d3b0e77694">~ConfigFile</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigFile.html#361167ade63602d0cf242ee24a10b4a8">load</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;separators=&quot;\t:=&quot;, bool trimWhitespace=true)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">load from a filename (not using resource group locations)  <a href="#361167ade63602d0cf242ee24a10b4a8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigFile.html#5b28053a489365f4b30d4d9c166443b8">load</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;resourceGroup, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;separators=&quot;\t:=&quot;, bool trimWhitespace=true)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">load from a filename (using resource group locations)  <a href="#5b28053a489365f4b30d4d9c166443b8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigFile.html#165868d7dd164934fcb0358db1b57bc7">load</a> (const <a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;separators=&quot;\t:=&quot;, bool trimWhitespace=true)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">load from a data stream  <a href="#165868d7dd164934fcb0358db1b57bc7"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigFile.html#6f0e8df905fe76a8443fb35938b7093c">loadDirect</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;separators=&quot;\t:=&quot;, bool trimWhitespace=true)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">load from a filename (not using resource group locations)  <a href="#6f0e8df905fe76a8443fb35938b7093c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigFile.html#cff4e2bdf7a14e6592a324452c243a04">loadFromResourceSystem</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;resourceGroup, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;separators=&quot;\t:=&quot;, bool trimWhitespace=true)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">load from a filename (using resource group locations)  <a href="#cff4e2bdf7a14e6592a324452c243a04"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigFile.html#31e1f6a3b824ea3fe3c00a5c0f75cbc1">getSetting</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;key, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;section=<a class="el" href="classOgre_1_1StringUtil.html#d2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a>) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the first setting from the file with the named key.  <a href="#31e1f6a3b824ea3fe3c00a5c0f75cbc1"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#783e5227595f351519627abfb740ec85">StringVector</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigFile.html#30a55cb6298f52535b4772b90b368f53">getMultiSetting</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;key, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;section=<a class="el" href="classOgre_1_1StringUtil.html#d2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a>) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets all settings from the file with the named key.  <a href="#30a55cb6298f52535b4772b90b368f53"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1MapIterator.html">SectionIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigFile.html#ced12d8135c24ff4bbe6f329e900b046">getSectionIterator</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get an iterator over all the available sections in the config file.  <a href="#ced12d8135c24ff4bbe6f329e900b046"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1MapIterator.html">SettingsIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigFile.html#048408e7937efe28bc61bf5e552bd32d">getSettingsIterator</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;section=<a class="el" href="classOgre_1_1StringUtil.html#d2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a>)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get an iterator over all the available settings in a section.  <a href="#048408e7937efe28bc61bf5e552bd32d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigFile.html#210c66181466a969725d196d09880fc7">clear</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Clear the settings.  <a href="#210c66181466a969725d196d09880fc7"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ConfigFile.html#77b98c7359f2ff7b67b9039e8979a2ac">SettingsBySection</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigFile.html#3a7b05390a1fec51ba0600c9e977c318">mSettings</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Class for quickly loading settings from a text file. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This class is designed to quickly parse a simple file containing key/value pairs, mainly for use in configuration settings. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>This is a very simplified approach, no multiple values per key are allowed, no grouping or context is being kept etc. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>By default the key/values pairs are tokenised based on a separator of Tab, the colon (:) or equals (=) character. Each key - value pair must end in a carriage return. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>Settings can be optionally grouped in sections, using a header beforehand of the form [SectionName]. </dd></dl>

<p>Definition at line <a class="el" href="OgreConfigFile_8h-source.html#l00056">56</a> of file <a class="el" href="OgreConfigFile_8h-source.html">OgreConfigFile.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="7c64847e5235249d699b38a36c8fd2db"></a><!-- doxytag: member="Ogre::ConfigFile::SettingsMultiMap" ref="7c64847e5235249d699b38a36c8fd2db" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::multimap&lt;<a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&gt; <a class="el" href="classOgre_1_1ConfigFile.html#7c64847e5235249d699b38a36c8fd2db">Ogre::ConfigFile::SettingsMultiMap</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreConfigFile_8h-source.html#l00081">81</a> of file <a class="el" href="OgreConfigFile_8h-source.html">OgreConfigFile.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="df764e20ebcf5c52d0ea887b1468a283"></a><!-- doxytag: member="Ogre::ConfigFile::SettingsIterator" ref="df764e20ebcf5c52d0ea887b1468a283" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a>&lt;<a class="el" href="classOgre_1_1ConfigFile.html#7c64847e5235249d699b38a36c8fd2db">SettingsMultiMap</a>&gt; <a class="el" href="classOgre_1_1MapIterator.html">Ogre::ConfigFile::SettingsIterator</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreConfigFile_8h-source.html#l00082">82</a> of file <a class="el" href="OgreConfigFile_8h-source.html">OgreConfigFile.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="77b98c7359f2ff7b67b9039e8979a2ac"></a><!-- doxytag: member="Ogre::ConfigFile::SettingsBySection" ref="77b98c7359f2ff7b67b9039e8979a2ac" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::map&lt;<a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1ConfigFile.html#7c64847e5235249d699b38a36c8fd2db">SettingsMultiMap</a>*&gt; <a class="el" href="classOgre_1_1ConfigFile.html#77b98c7359f2ff7b67b9039e8979a2ac">Ogre::ConfigFile::SettingsBySection</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets an iterator for stepping through all the keys / values in the file. 
<p>

<p>Definition at line <a class="el" href="OgreConfigFile_8h-source.html#l00084">84</a> of file <a class="el" href="OgreConfigFile_8h-source.html">OgreConfigFile.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a0167bf5f0a33e109d2de01a6a14f2f0"></a><!-- doxytag: member="Ogre::ConfigFile::SectionIterator" ref="a0167bf5f0a33e109d2de01a6a14f2f0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a>&lt;<a class="el" href="classOgre_1_1ConfigFile.html#77b98c7359f2ff7b67b9039e8979a2ac">SettingsBySection</a>&gt; <a class="el" href="classOgre_1_1MapIterator.html">Ogre::ConfigFile::SectionIterator</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreConfigFile_8h-source.html#l00085">85</a> of file <a class="el" href="OgreConfigFile_8h-source.html">OgreConfigFile.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="e9cea1fe4ad70279841635eb892ba514"></a><!-- doxytag: member="Ogre::ConfigFile::ConfigFile" ref="e9cea1fe4ad70279841635eb892ba514" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ConfigFile::ConfigFile           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="eb74fca345254b1701f509d3b0e77694"></a><!-- doxytag: member="Ogre::ConfigFile::~ConfigFile" ref="eb74fca345254b1701f509d3b0e77694" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::ConfigFile::~ConfigFile           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="361167ade63602d0cf242ee24a10b4a8"></a><!-- doxytag: member="Ogre::ConfigFile::load" ref="361167ade63602d0cf242ee24a10b4a8" args="(const String &amp;filename, const String &amp;separators=&quot;\t:=&quot;, bool trimWhitespace=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ConfigFile::load           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>separators</em> = <code>&quot;\t:=&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>trimWhitespace</em> = <code>true</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
load from a filename (not using resource group locations) 
<p>

</div>
</div><p>
<a class="anchor" name="5b28053a489365f4b30d4d9c166443b8"></a><!-- doxytag: member="Ogre::ConfigFile::load" ref="5b28053a489365f4b30d4d9c166443b8" args="(const String &amp;filename, const String &amp;resourceGroup, const String &amp;separators=&quot;\t:=&quot;, bool trimWhitespace=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ConfigFile::load           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>resourceGroup</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>separators</em> = <code>&quot;\t:=&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>trimWhitespace</em> = <code>true</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
load from a filename (using resource group locations) 
<p>

</div>
</div><p>
<a class="anchor" name="165868d7dd164934fcb0358db1b57bc7"></a><!-- doxytag: member="Ogre::ConfigFile::load" ref="165868d7dd164934fcb0358db1b57bc7" args="(const DataStreamPtr &amp;stream, const String &amp;separators=&quot;\t:=&quot;, bool trimWhitespace=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ConfigFile::load           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>separators</em> = <code>&quot;\t:=&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>trimWhitespace</em> = <code>true</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
load from a data stream 
<p>

</div>
</div><p>
<a class="anchor" name="6f0e8df905fe76a8443fb35938b7093c"></a><!-- doxytag: member="Ogre::ConfigFile::loadDirect" ref="6f0e8df905fe76a8443fb35938b7093c" args="(const String &amp;filename, const String &amp;separators=&quot;\t:=&quot;, bool trimWhitespace=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ConfigFile::loadDirect           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>separators</em> = <code>&quot;\t:=&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>trimWhitespace</em> = <code>true</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
load from a filename (not using resource group locations) 
<p>

</div>
</div><p>
<a class="anchor" name="cff4e2bdf7a14e6592a324452c243a04"></a><!-- doxytag: member="Ogre::ConfigFile::loadFromResourceSystem" ref="cff4e2bdf7a14e6592a324452c243a04" args="(const String &amp;filename, const String &amp;resourceGroup, const String &amp;separators=&quot;\t:=&quot;, bool trimWhitespace=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ConfigFile::loadFromResourceSystem           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>resourceGroup</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>separators</em> = <code>&quot;\t:=&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>trimWhitespace</em> = <code>true</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
load from a filename (using resource group locations) 
<p>

</div>
</div><p>
<a class="anchor" name="31e1f6a3b824ea3fe3c00a5c0f75cbc1"></a><!-- doxytag: member="Ogre::ConfigFile::getSetting" ref="31e1f6a3b824ea3fe3c00a5c0f75cbc1" args="(const String &amp;key, const String &amp;section=StringUtil::BLANK) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::ConfigFile::getSetting           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>section</em> = <code><a class="el" href="classOgre_1_1StringUtil.html#d2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a></code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the first setting from the file with the named key. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>key</em>&nbsp;</td><td>The name of the setting </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>section</em>&nbsp;</td><td>The name of the section it must be in (if any) </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="30a55cb6298f52535b4772b90b368f53"></a><!-- doxytag: member="Ogre::ConfigFile::getMultiSetting" ref="30a55cb6298f52535b4772b90b368f53" args="(const String &amp;key, const String &amp;section=StringUtil::BLANK) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#783e5227595f351519627abfb740ec85">StringVector</a> Ogre::ConfigFile::getMultiSetting           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>section</em> = <code><a class="el" href="classOgre_1_1StringUtil.html#d2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a></code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets all settings from the file with the named key. 
<p>

</div>
</div><p>
<a class="anchor" name="ced12d8135c24ff4bbe6f329e900b046"></a><!-- doxytag: member="Ogre::ConfigFile::getSectionIterator" ref="ced12d8135c24ff4bbe6f329e900b046" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MapIterator.html">SectionIterator</a> Ogre::ConfigFile::getSectionIterator           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get an iterator over all the available sections in the config file. 
<p>

</div>
</div><p>
<a class="anchor" name="048408e7937efe28bc61bf5e552bd32d"></a><!-- doxytag: member="Ogre::ConfigFile::getSettingsIterator" ref="048408e7937efe28bc61bf5e552bd32d" args="(const String &amp;section=StringUtil::BLANK)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MapIterator.html">SettingsIterator</a> Ogre::ConfigFile::getSettingsIterator           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>section</em> = <code><a class="el" href="classOgre_1_1StringUtil.html#d2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a></code>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get an iterator over all the available settings in a section. 
<p>

</div>
</div><p>
<a class="anchor" name="210c66181466a969725d196d09880fc7"></a><!-- doxytag: member="Ogre::ConfigFile::clear" ref="210c66181466a969725d196d09880fc7" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ConfigFile::clear           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Clear the settings. 
<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="3a7b05390a1fec51ba0600c9e977c318"></a><!-- doxytag: member="Ogre::ConfigFile::mSettings" ref="3a7b05390a1fec51ba0600c9e977c318" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ConfigFile.html#77b98c7359f2ff7b67b9039e8979a2ac">SettingsBySection</a> <a class="el" href="classOgre_1_1ConfigFile.html#3a7b05390a1fec51ba0600c9e977c318">Ogre::ConfigFile::mSettings</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreConfigFile_8h-source.html#l00096">96</a> of file <a class="el" href="OgreConfigFile_8h-source.html">OgreConfigFile.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreConfigFile_8h-source.html">OgreConfigFile.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:28 2008
</p>
</body>
</html>
